rte_flow_action_age(3)

NAME
rte_flow_action_age

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t timeout:24
uint32_t reserved:8
void * context

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_AGE

Report flow as aged-out if timeout passed without any matching on the flow. RTE_ETH_EVENT_FLOW_AGED event is triggered when a port detects new aged-out flows.

The flow context and the flow handle will be reported by the either rte_flow_get_aged_flows or rte_flow_get_q_aged_flows APIs.

Definition at line 3385 of file rte_flow.h.

Field Documentation

  uint32_t timeout
Time in seconds.

Definition at line 3386 of file rte_flow.h.

  uint32_t reserved
Reserved, must be zero.

Definition at line 3387 of file rte_flow.h.

  void* context
The user flow context, NULL means the rte_flow pointer.

Definition at line 3389 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.